edu.sc.seis.sod.subsetter.requestGenerator.vector

## Class RequestGeneratorWrapper

- java.lang.Object
- - edu.sc.seis.sod.subsetter.requestGenerator.vector.RequestGeneratorWrapper

- All Implemented Interfaces:
    SodElement, VectorRequestGenerator, Subsetter

      public class RequestGeneratorWrapper
      extends java.lang.Object
      implements VectorRequestGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestGeneratorWrapper(org.w3c.dom.Element config)`
    `RequestGeneratorWrapper(RequestGenerator rg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.iris.Fissures.IfSeismogramDC.RequestFilter[][]` | `generateRequest(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, CookieJar cookieJar)` Generates the request for each of the channels.
    `RequestGenerator` | `getRequestGenerator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestGeneratorWrapper

          public RequestGeneratorWrapper(org.w3c.dom.Element config)
                                  throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### RequestGeneratorWrapper

          public RequestGeneratorWrapper(RequestGenerator rg)

  - ### Method Detail

    - #### generateRequest

          public edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] generateRequest(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                                                    edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                                                                    CookieJar cookieJar)
                                                                             throws java.lang.Exception

      Description copied from interface: `VectorRequestGenerator`
      Generates the request for each of the channels. The return value is a 2 dimensional array where the first index corresponds to the channel in the channel group.
      Specified by:
        `generateRequest` in interface `VectorRequestGenerator`
      Throws:
        `java.lang.Exception`

    - #### getRequestGenerator

          public RequestGenerator getRequestGenerator()